/********************************************************************************
 Author : CAC (CustomerApplications Center, Asia) 

 Date : 2012-01-04

 File name : AD7606.h

 Description : test the serial port operation of AD7606

 Hardware plateform : ADuC7026_DEMO_V1.2 + EVAL-AD7606EDZ_Rev.A1  	
********************************************************************************/

#ifndef AD7606_DRIVER_H
#define AD7606_DRIVER_H


#define AD7606_CNVSTA	MXC_GPIO_PIN_10	//0x30	// pin A17 = P3.0
#define AD7606_CNVSTB	MXC_GPIO_PIN_11	//0x30	// pin A17 = P3.0
#define AD7606_CS		MXC_GPIO_PIN_5	//0x25	// pin C10 = P2.5
#define	AD7606_RESET	MXC_GPIO_PIN_14	//0x24	// pin B1  = P2.4
#define	AD7606_SCLK		MXC_GPIO_PIN_4	//0x32	// pin A9  = P3.2
#define AD7606_DOUTA	MXC_GPIO_PIN_2	//0x34	// pin C5  = P3.4
#define AD7606_DOUTB	MXC_GPIO_PIN_3	//0x33	// pin C13 = P3.3
#define AD7606_BUSY		MXC_GPIO_PIN_15	//0x31	// pin C17 = P3.1


void ADuC7026OutputBit(uint32_t pin_mask,mxc_gpio_vssel_t IO_level);
uint8_t ADuC7026InputBit(uint32_t pin_mask);

void AD7606Initialization(void);
void AD7606Reset(void);
void AD7606ReadOneSample(unsigned short int *DoutA, unsigned short int *DoutB, unsigned char Channels);

#endif
